## ispell-gl 0.5

=== debian/changelog ===
ispell-gl (0.5-48) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on
    dictionaries-common-dev.

  [ Agustin Martin Domingo ]
  * Use dh_* debhelper sequencer.
  * No need for {usr,var}/lib/{ispell,aspell}/hash like symlinks.
  * Bump debian/watch version.
  * debian/galician-minimos: no need to refer to ancient usr/dict
    location.
  * debian/copyright: make DEP5.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Bump Standards-Version: No changes required.
    - Bump debhelper-compat to 13.
  * Add some overrides.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 05 Oct 2021 00:43:42 +0200

ispell-gl (0.5-47) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 18:01:56 +0100

ispell-gl (0.5-46) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Agustin Martin Domingo ]
  * d/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 15 Nov 2018 16:11:10 +0100

ispell-gl (0.5-45) unstable; urgency=medium

  * Convert docs to utf-8. Thanks Pander (Closes: #901400).
  * debian/rules: Cosmetic changes for better readability.
  * debian/*.info-{a,l}spell: Use octal representation for Casechars and
    Not-Casechars.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 14 Jun 2018 17:13:43 +0200

ispell-gl (0.5-44) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 May 2018 15:09:32 +0200

ispell-gl (0.5-43) unstable; urgency=medium

  * debian/control: Fix forgotten typo, Thanks Pascal De Vuyst
    (Closes: #745287).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 30 Jun 2015 11:40:43 +0200

ispell-gl (0.5-42) unstable; urgency=medium

  * debian/rules: Build in a reproducible and known to work LC_ALL=C
    language environment.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 22 Jun 2015 12:49:29 +0200

ispell-gl (0.5-41) unstable; urgency=medium

  * debian/rules: Make the build reproducible.
    Thanks Chris Lamb (Closes: #778262).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:41:27 +0200

ispell-gl (0.5-40) unstable; urgency=low

  * debian/control:
    - Make aspell-gl-minimos "Multi-Arch: foreign" (See aspell-en #763892).
    - Update Vcs-Browser to cgit address.
    - Bump Standards-Version. No changes required.
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 15:37:36 +0200

ispell-gl (0.5-39) unstable; urgency=low

  * debian/control: Fix some minor typos. Thanks Pascal De Vuyst
    (Closes: #745287,745288).
  * No longer ship /var/lib/{a,i}spell directories. Change Build-Deps
    accordingly.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Apr 2014 20:57:36 +0200

ispell-gl (0.5-38) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.0.
  * debian/rules: Compact cwl creation to an one-liner (LP: #73308).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Apr 2014 15:47:00 +0200

ispell-gl (0.5-37~exp1) experimental; urgency=low

  * Rebuild against experimental dictionaries-common-dev

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 Mar 2014 20:07:51 +0100

ispell-gl (0.5-36) unstable; urgency=low

  * Modify to use dictionaries-common-dev (>= 1.22.0) features:
    - ${ispell:Depends}, ${aspell:Depends}, ${wordlist:Depends}
    - Deal with remove files in debhelper snippet.
  * debian/control:
    - Bump Standards Version. No changes required.
    - Canonicalize VCS-* headers.
  * debian/watch: Remove ancient dh_make header.
  * Update debian/copyright.
  * Add debian/source/format for 3.0 (quilt).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 04 Mar 2014 19:04:09 +0100

ispell-gl (0.5-35) unstable; urgency=low

  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
    - Make sure wordlist is sorted and repeated words skipped.
    - Make sure wordlist is UTF-8 encoded.
  * Use auto-compat feature to avoid modification of placeholders
    shipped under /var by ispell and aspell maintainer scripts. Needs
    dictionaries-common-dev (>=1.11.2)
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 18:27:03 +0200

ispell-gl (0.5-34) unstable; urgency=low

  * debian/README.Debian: Fix spelling error (This packages->these packages)
  * Raise Standards-Version to 3.8.3. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 18 Jan 2010 12:55:08 +0100

ispell-gl (0.5-33) unstable; urgency=low

  * debian/*.info-*spell:
    - Do not explicitly add '-d <hash>' to ispell-args. New
      dictionaries-common will take care of that.
  * debian/control:
    - Build Dep on at least dictionaries-common-dev 1.2 to use
      new debhelper snippets.
  * Raise debhelper compat level to 7. Use dh_prep.
  * Raise Standards-Version to 3.8.1. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Mar 2009 00:42:53 +0100

ispell-gl (0.5-32) unstable; urgency=low

  * Drop myspell-gl-es, superceded by hunspell-gl-es.
  * debian/control: Add ${misc:Depends} where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Feb 2009 12:09:08 +0100

ispell-gl (0.5-31) unstable; urgency=low

  * debian/control:
    - Bumped Standards-Version to 3.8.0. No changes required
    - Reorganize Build-Depends-Indep for better readability.
  * debian/rules:
    - Use 'prezip -s' for aspell dict.
    - Use best gzip compression.


