=== debian/control ===
Source: ispell-gl
Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: dictionaries-common-dev,
                     ispell,
                     aspell,
                     hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-7)
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ispell-gl
Vcs-Git: https://salsa.debian.org/debian/ispell-gl.git
Homepage: http://ispell-gl.sourceforge.net

Package: igalician-minimos
Architecture: all
Depends: ${misc:Depends},
         ${ispell:Depends}
Suggests: wgalician-minimos
Provides: ispell-dictionary
Description: Ispell dictionary for Galician (minimos)
 This is an ispell dictionary for Galician, using the "minimos"
 standard, as put together by Andre Ventas and Ramon Flores.
 .
 There are at least three orthographic conventions for Galician:
 ILG (official), reintegrationist and minimos. ILG uses orthographic
 conventions more similar to Spanish; reintegrationists are
 weighed towards Portuguese. Minimos tries to reach a middle
 consensus point.

Package: wgalician-minimos
Architecture: all
Depends: ${misc:Depends},
         ${wordlist:Depends}
Provides: wordlist
Description: Wordlist for Galician (minimos)
 This is a list of words for Galician, using the "minimos"
 standard, as put together by Andre Ventas and Ramon Flores.
 .
 There are at least three orthographic conventions for Galician:
 ILG (official), reintegrationist and minimos. ILG uses orthographic
 conventions more similar to Spanish; reintegrationists are
 weighed towards Portuguese. Minimos tries to reach a middle
 consensus point.

Package: aspell-gl-minimos
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${aspell:Depends}
Provides: aspell-dictionary
Description: Aspell dictionary for Galician (minimos)
 This is an aspell dictionary for Galician, using the "minimos"
 standard, as put together by Andre Ventas and Ramon Flores.
 .
 There are at least three orthographic conventions for Galician:
 ILG (official), reintegrationist and minimos. ILG uses orthographic
 conventions more similar to Spanish; reintegrationists are
 weighed towards Portuguese. Minimos tries to reach a middle
 consensus point.
